Bug 729691 - Documentation error for CMSCONFFILE DASD= example
Summary: Documentation error for CMSCONFFILE DASD= example
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Deadline: 2011-09-02
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Installation_Guide
Version: 6.3
Hardware: s390x
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Jack Reed
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-10 14:34 UTC by Philip Rowlands
Modified: 2013-06-17 05:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 681219
Environment:
Last Closed: 2011-12-09 02:26:30 UTC


Attachments (Terms of Use)

Description Philip Rowlands 2011-08-10 14:34:35 UTC
A separate bug was requested for this documentation issue.

+++ This bug was initially created as a clone of Bug #681219 +++

Quoting Red Hat Enterprise Linux 6 Installation Guide Edition 1.0, section 26.3. Installation network parameters:

http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html/Installation_Guide/ch-parmfiles-Installation_network_parameters.html

DASD=
 Defines the DASD or range of DASDs to configure for the installation. For a detailed description of the syntax, refer to the dasd_mod device driver module option described in the chapter on the DASD device driver in Linux on System z Device Drivers, Features, and Commands on Red Hat Enterprise Linux 6. 

[snip]

 For example: 
DASD=eb1c,0.0.a000-0.0.a003,eb10-eb14(diag),0.0.ab1c(ro:diag)


Because the DASD= config in CMSCONFFILE is sourced by the shell, the right hand side needs to be quoted to avoid errors reading the metacharacters '(' and ')'. For example:

DASD='eb1c,0.0.a000-0.0.a003,eb10-eb14(diag),0.0.ab1c(ro:diag)'

For completeness, why not single-quote all CMSCONFFILE parameters given by example, both in "Installation network parameters" and "Sample parameter file and CMS configuration file"?

I haven't checked, but this error probably appears in the Installation Guide for other RHEL versions.

Comment 6 Jack Reed 2011-08-29 01:29:23 UTC
Thanks for bringing this to our attention, Philip.

The DASD example was fixed in build 1.0-43 of the guide, and the remaining examples have been corrected for build 1.0-45.


Note You need to log in before you can comment on or make changes to this bug.